This is the multi-page printable view of this section. Click here to print.
Show Virtual Server Console Log
1 - 1.3
get /v1/servers/{server_id}/console-log
Description
Show Virtual Server Console Log.
State ACTIVE (CURRENT)
| Version | Not Before |
|---|---|
| 1.3 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| query | line_size optional | Number of log lines to get Example : 1 | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerConsoleLogResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/console-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.3"
Example HTTP response
Response 200
{
"output": "FAKE CONSOLE OUTPUT"
}
2 - 1.2
get /v1/servers/{server_id}/console-log
Description
Show Virtual Server Console Log.
State ACTIVE (SUPPORTED)
| Version | Not Before |
|---|---|
| 1.2 | 20260831 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| query | line_size optional | Number of log lines to get Example : 1 | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerConsoleLogResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/console-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.2"
Example HTTP response
Response 200
{
"output": "FAKE CONSOLE OUTPUT"
}
3 - 1.1
get /v1/servers/{server_id}/console-log
Description
Show Virtual Server Console Log.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.1 | 20260531 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| query | line_size optional | Number of log lines to get Example : 1 | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerConsoleLogResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/console-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.1"
Example HTTP response
Response 200
{
"output": "FAKE CONSOLE OUTPUT"
}
4 - 1.0
get /v1/servers/{server_id}/console-log
Description
Show Virtual Server Console Log.
State ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | server_id required | Server ID Example : 2a9be312-5d4b-4bc8-b2ae-35100fa9241f | string | None |
| query | line_size optional | Number of log lines to get Example : 1 | any of [integer, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | ServerConsoleLogResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/servers/{server_id}/console-log
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = virtualserver 1.0"
Example HTTP response
Response 200
{
"output": "FAKE CONSOLE OUTPUT"
}